Request

Response

    Issue Comments
    GET

    containers/{containerId}/issues/{issueId}/comments

    Get all the comments for a specific issue.

    Note that this endpoint is ONLY compatible with BIM 360 projects. It is not compatible with Autodesk Construction Cloud (ACC) projects. For more information about compatibility between between BIM 360 and ACC, see the Compatibility section.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/issues/v2/containers/:containerId/issues/:issueId/comments
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    containerId
    string
    The ID of the container.

    Each project is assigned to a container that stores all the issues for the project.

    Use the Data Management API to retrieve the container ID. For more information, see the Retrieve Issues Container ID tutorial.

    issueId
    string
    The unique issue ID

    Request

    Query String Parameters

    limit
    int
    Add limit=20 to limit the results count, maximum limit - limit=200 (together with the offset to support pagination).
    offset
    int
    Add offset=20 to get partial results (together with the limit to support pagination).

    Response

    HTTP Status Code Summary

    200
    OK
    List of comments of the specific requested issue in combination with pagination details
    400
    Bad Request
    Invalid ID supplied
    401
    Unauthorized
    The supplied Authorization header was not valid. Verify Authentication and try again
    403
    Forbidden
    The request was successfully validated but permission is not granted
    404
    Not Found
    Container or Issue not found

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The pagination object.
    limit
    int
    The number of items per page.
    offset
    int
    The page number that the results begin from.
    totalResults
    int
    The number of items in the response.
    results
    array: object
    A list of comments for the specified issue.
    body
    string
    The comment content. A \n indicates a new line, e.g.: Hey\nAharon will be a 2 lines comment.

    Max length: 10000

    createdAt
    datetime: ISO 8601
    The date and time the comment was created, in the following format: YYYY-MM-DDThh:mm:ss.sz.
    createdBy
    string
    The Autodesk ID of the user who created the comment.
    updatedAt
    datetime: ISO 8601
    Not relevant
    deletedAt
    datetime: ISO 8601
    Not relevant
    clientCreatedAt
    string
    Not relevant
    clientUpdatedAt
    datetime: ISO 8601
    Not relevant
    permittedActions
    array: string
    Not relevant
    permittedAttributes
    array: string
    Not relevant

    Example

    List of comments of the specific requested issue in combination with pagination details

    Request

    curl -v 'https://developer.api.autodesk.com/issues/v2/containers/a5f49f04-59bb-477c-97e6-6833cb50bdac/issues/a5f49f04-59bb-477c-97e6-6833cb50bdac/comments?limit=20&offset=20' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "pagination": {
        "limit": 10,
        "offset": 100,
        "totalResults": 25
      },
      "results": [
        {
          "body": "Hey Aharon, please validate that this is even possible before starting to work on the issue.",
          "createdAt": "2018-07-22T15:05:58.033Z",
          "createdBy": "A3RGM375QTZ7",
          "updatedAt": "",
          "deletedAt": "",
          "clientCreatedAt": "A3RGM375QTZ7",
          "clientUpdatedAt": "2018-07-22T15:05:58.033Z",
          "permittedActions": [
            ""
          ],
          "permittedAttributes": [
            ""
          ]
        }
      ]
    }
    
    Show More